
Robotics Systems Types - Feature #1211
Request: Deploy java artifacts to Citec Maven Repository
10/19/2012 05:34 PM - L. Ziegler

Status: Resolved Start date: 10/19/2012
Priority: Normal Due date:
Assignee: D. Klotz % Done: 100%
Category: java Estimated time: 0.00 hour
Target version: rsb-0.7
Description
Deployment of the java artifacts would ease the workflow dramatically for users who use maven in their projects. Also this feature
requires only very small effort to realize.
    -  Add a pom to the project describing the artifacts and their dependencies
    -  Add one additional command execution to the release procedure, which deploys the artifacts along with the pom

See http://maven.apache.org/plugins/maven-deploy-plugin/ for the respective maven deploy command.

History
#1 - 11/26/2012 11:05 PM - J. Moringen

@David: aren't you working on this?

#2 - 11/27/2012 01:44 PM - D. Klotz
- Status changed from New to In Progress
- Assignee set to D. Klotz
- Target version set to rsb-0.7
- % Done changed from 0 to 50

Yes, I'm working on this. In fact, we now have release versions of RSB 0.7.7 and RST 0.7.15 already in the repo, I'm still working on the SNAPSHOT
versions.

#3 - 11/28/2012 02:39 PM - D. Klotz
- % Done changed from 50 to 70

RSB snapshots are now also deployed automatically, including -source and -javadoc jars, RST snapshots will be next.

#4 - 11/28/2012 04:22 PM - D. Klotz
- Status changed from In Progress to Resolved
- % Done changed from 70 to 100

Current RST snapshots are now also automatically deployed to the CITEC maven repository from our Jenkins, so i'm closing this issue.
